Please login or register.

Login with username, password and session length
Advanced search  

News:

Latest sNews - sNews 1.7 - with its own forums - for discussion and user mods.

Author Topic: (IDE)Geany  (Read 165 times)

r0zzin

  • Newbie
  • *
  • Karma: 0
  • Posts: 6
(IDE)Geany
« on: December 30, 2012, 06:31:09 PM »

Thought to share what I use to edit snews and other php files.
From Site
Quote
Geany is a small and lightweight Integrated Development Environment. It was developed to provide a small and fast IDE, which has only a few dependencies from other packages. Another goal was to be as independent as possible from a special Desktop Environment like KDE or GNOME - Geany only requires the GTK2 runtime libraries.

Some basic features of Geany:

    Syntax highlighting
    Code folding
    Symbol name auto-completion
    Construct completion/snippets
    Auto-closing of XML and HTML tags
    Call tips
    Many supported filetypes including C, Java, PHP, HTML, Python, Perl, Pascal (full list)
    Symbol lists
    Code navigation
    Build system to compile and execute your code
    Simple project management
    Plugin interface (see Plugins)

Geany is known to run under Linux, FreeBSD, NetBSD, OpenBSD, MacOS X, AIX v5.3, Solaris Express and Windows. More generally, it should run on every platform, which is supported by the GTK libraries. Only the Windows port of Geany is missing some features.

The code is licensed under the terms of the GNU General Public Licence.
Link
http://www.geany.org/
Logged

Keyrocks

  • Doug
  • ULTIMATE member
  • ******
  • Karma: 449
  • Posts: 6019
  • Semantically Challenged
    • snews.ca
Re: (IDE)Geany
« Reply #1 on: December 30, 2012, 10:48:28 PM »

I've been using PHP Designer for about 7 years now, still using PHP Designer 2005 which was available free when I downloaded it. The latest version is 8.1 and costs a small sum considering how far its creator Michael Pham has advanced and continued to improve it over the years. The only reason I haven't bought Designer 8.1 is because my old 2005 version does all I need as-is.  :)
« Last Edit: December 31, 2012, 02:47:13 PM by Keyrocks »
Logged
Do it now... later may not come.
-------------------------------------------------------------------------------------------------
sNews 1.6 MESU | sNews 1.6 MEMU

nukpana

  • Hero Member
  • *****
  • Karma: 71
  • Posts: 663
Re: (IDE)Geany
« Reply #2 on: December 31, 2012, 05:52:14 AM »

@r0zzin - thanks for that.  I use geany every now and then when I am on my Linux boxes, but I keep going back to gEdit. I am primarily on Osx now... On OSX, I use Coda (v1.x) & on Windows, I use Notepad++
Logged